This package provides the dnf system-upgrade command, which replaces fedup for performing system upgrades.

Here's what's new in 0.7.0:

  • Made --distro-sync the default upgrade behavior
  • Added --no-downgrade flag (turns off --distro-sync)
  • Added log subcommand for viewing upgrade logs
  • Fixed upgrades using --best or --allowerasing
  • Fixed upgrades on systems without plymouth
  • Various other bugfixes and improvements

How to install

sudo dnf upgrade --advisory=FEDORA-2015-e00b75e39f
This update has been submitted for testing by wwoods. 4 years ago
wwoods edited this update. 4 years ago
wwoods edited this update. 4 years ago
User Icon lbrabec provided feedback 4 years ago
karma
User Icon jsedlak commented & provided feedback 4 years ago
karma

Works with KDE, uses distro-sync correctly.

BZ#1263677 it's very easy to end up with a partially-upgraded system
User Icon kparal commented & provided feedback 4 years ago
karma

distro-sync is now enabled by default, which is an improvement, so +1

BZ#1263677 it's very easy to end up with a partially-upgraded system
User Icon adamwill commented & provided feedback 4 years ago

There's a dep issue here: this update obsoletes fedup-dracut, but lorax-22.12-1 (the current f22 package) requires it. We should update lorax not to require fedup-dracut and add that package to this update.

This update has been pushed to testing. 4 years ago
This update has been submitted for stable by bodhi. 4 years ago

Taskotron: upgradepath test FAILED on noarch. Result log: https://taskotron.fedoraproject.org/resultsdb/results/4631320 (results are informative only)

Taskotron: upgradepath test PASSED on noarch. Result log: https://taskotron.fedoraproject.org/resultsdb/results/4635179 (results are informative only)

This update has been pushed to stable. 4 years ago
User Icon robhancock commented & provided feedback 4 years ago
karma

Dependencies broken: Error: package lorax-22.12-1.fc22.x86_64 requires fedup-dracut, but none of the providers can be installed

BZ#1275085 Obsolete dracut-fedup

Please login to add feedback.

Metadata
Type
bugfix
Karma
2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Dates
submitted
4 years ago
in testing
4 years ago
in stable
4 years ago
modified
4 years ago
BZ#1250939 DNF System Upgrades
0
1
BZ#1263677 it's very easy to end up with a partially-upgraded system
0
2
BZ#1266031 [abrt] dnf: system_upgrade.py:206:error:AttributeError: unrecognized arguments: --releaseversion rawhide
0
0
BZ#1267338 dnf system-upgrade --help doesn't provide help
0
0
BZ#1271529 Missing dependencies
0
0
BZ#1275085 Obsolete dracut-fedup
-1
0

Automated Test Results